Get all addresses Run in API Explorer
Ask AI
This endpoint will return all addresses in the firm relevant to the user accessing them.
Query parameters
-
Filter by a comma separated list of UUIDs.
-
Filter by a comma separated list of account UUIDs.
-
Filter by a comma separated list of circle UUIDs.
-
Comma separated list of relationships to include in the response. Valid relationships are [accounts, primary_accounts].
-
Field to sort by. Valid fields are [created_at, updated_at, address_1, postcode]. Negative sign to denote DESC. Defaults to '-created_at'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v2/addresses
curl \
--request GET 'https://api.plannrcrm.com/api/v2/addresses' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "f364708f-7a5f-49ba-963a-252d2fccd06b",
"created_at": "2026-10-28T10:39:29+00:00",
"updated_at": "2026-10-28T10:39:29+00:00",
"name": "Work Address",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"address_3": "The Innovative Centre",
"address_4": "Waterlooville",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"accounts": {
"uuid": "093f96b0-9e57-42ba-b2f4-67ef8f9ebc76",
"created_at": "2026-10-28T10:39:29+00:00",
"updated_at": "2026-10-28T10:39:29+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "aa9d829d-1801-43a0-b785-5f68dad9f6d1",
"created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"primary_accounts": {
"uuid": "079f1712-6ec1-4360-92a0-eca50c1c3082",
"created_at": "2026-10-28T10:39:29+00:00",
"updated_at": "2026-10-28T10:39:29+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "aa9d829d-1801-43a0-b785-5f68dad9f6d1",
"created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"moved_in_month": 6,
"moved_in_year": 2022,
"moved_out_month": 1,
"moved_out_year": 2024,
"residential_status": "homeowner",
"residential_status_other": "homeowner",
"lived_in_months": 19
}
]
}